import React, { Component } from "react";
import EvaluateHelmet from "../components/EvaluateHelmet";
import Layout from "../components/Layout";
import { withStyles } from "@material-ui/styles";
import Screen from "../static/images/screen.png";
import Logo from "../static/images/thin-tww.png";

const styles = theme => ({
  logo: {
    width: "100%",
    height: "auto",
    [theme.breakpoints.up('md')]: {
      width: "50%"
    }
  },
  screen: {
    maxWidth: "100%",
    maxHeight: "90vh",
    margin: "auto"
  }
});

class LandingPage extends Component {
  render() {
    const { classes } = this.props;
    return (
      <Layout>
        <EvaluateHelmet title="Landing Page"></EvaluateHelmet>
        <div id="landingPage">
          <div className="center">
            <img className={classes.logo} src={Logo} alt="e-Valuate"/>
          </div>
          <div className="center">
            <img className={classes.screen} src={Screen} alt="An example Score Report page."/>
          </div>
        </div>
      </Layout>
    );
  }
}

export default withStyles(styles)(LandingPage);
