package com.evaluate.controllers;

import java.net.URISyntaxException;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.evaluate.models.Account;
import com.evaluate.services.CreateAccountService;

@RestController
@RequestMapping("/register")
public class CreateAccountController {

	@Autowired
	private CreateAccountService accountService;

	@PostMapping
	public ResponseEntity<?> createAccount(@RequestBody Account account) throws URISyntaxException {
		return accountService.saveAccount(account);
	}
	
	@GetMapping("/edit")
	public ResponseEntity<?> getAccount() {
		return accountService.getAccount();
	}
	
	@PutMapping("/edit")
	public ResponseEntity<?> updateAccount(@RequestBody Account account) {
		return accountService.updateAccount(account);
	}

}
