package com.evaluate.controllers;

import java.net.URI;
import java.net.URISyntaxException;
import java.util.Optional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.evaluate.models.Event;
import com.evaluate.services.CreateEventService;

@RequestMapping("/createevent")
@RestController
class CreateEventController {

	@Autowired
	private CreateEventService createEventService;
	
	/* Event Mappings */ 
	
	@GetMapping("/{id}")
	ResponseEntity<?> getEvent(@PathVariable long id) {
		Optional<Event> event = this.createEventService.getEvent(id);
		return event.map(response -> ResponseEntity.ok().body(response))
				.orElse(new ResponseEntity<>(HttpStatus.NOT_FOUND));
	}
	
	@PostMapping
	ResponseEntity<Event> createEvent(@RequestBody Event event) throws URISyntaxException {
		Event result = createEventService.createEvent(event);
		return ResponseEntity.created(new URI("/event/" + result.getId())).body(result);
	}

	@PutMapping
	ResponseEntity<Event> editEvent(@RequestBody Event event) throws URISyntaxException {
		Event result = createEventService.editEvent(event);
		return ResponseEntity.created(new URI("/event/" + result.getId())).body(result);
	}

}
