package com.evaluate.controllers;

import java.net.URISyntaxException;
import java.util.Optional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import com.evaluate.models.*;
import com.evaluate.services.CreateRubricService;

@RequestMapping("/event/{eventId}/createrubric")
@RestController
class CreateRubricController {

	@Autowired
	private CreateRubricService createRubricService;
	
	/* Rubric Mappings */ 
	
	@GetMapping
	ResponseEntity<?> getRubric(@PathVariable Long eventId) {
		Optional<Rubric> rubric = this.createRubricService.getRubricByEvent(eventId);
		return rubric.map(response -> ResponseEntity.ok().body(response))
				.orElse(new ResponseEntity<>(HttpStatus.NOT_FOUND));
	}
	
	@PostMapping
	ResponseEntity<?> createRubric(@PathVariable Long eventId, @RequestBody Rubric rubric) throws URISyntaxException {
		return createRubricService.createRubricByEvent(eventId, rubric);
	}
	
	@PutMapping
	ResponseEntity<?> editRubric(@PathVariable Long eventId, @RequestBody Rubric rubric) throws URISyntaxException {
		return createRubricService.editRubricByEvent(eventId, rubric);
	}
	
	@GetMapping("/eventname")
	ResponseEntity<?> getEventName(@PathVariable Long eventId) {
		Optional<Event> optName = createRubricService.getEventName(eventId); 
		return optName.map(response -> ResponseEntity.ok().body(response))
				.orElse(new ResponseEntity<>(HttpStatus.NOT_FOUND));
	}
	
}
