package com.evaluate.controllers;

import java.net.URISyntaxException;
import java.util.Map;

import com.evaluate.services.DashboardService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/dashboard")
@RestController
public class DashboardController {

	@Autowired
	private DashboardService dashboardService;

	@GetMapping
	@ResponseBody
	public Map<String, Object> getDashboard() {
		Map<String, Object> response = dashboardService.getDashboard();
		return response;
	}

	@PutMapping("/join/{code}")
	public ResponseEntity<?> joinEvent(@PathVariable String code) throws URISyntaxException {
		return dashboardService.joinEvent(code);
	}

}
