package com.evaluate.controllers;

import java.net.URISyntaxException;

import com.evaluate.models.Entry;
import com.evaluate.services.EntryService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/event/{eventId}/entry/{entryId}")
@RestController
class EntryController {

	@Autowired
	private EntryService entryService;

	@GetMapping
	ResponseEntity<Entry> getEntry(@PathVariable long eventId, @PathVariable long entryId) {
		return entryService.getEntry(eventId, entryId);
	}

	@PutMapping
	ResponseEntity<Entry> editEntry(@PathVariable long eventId, @PathVariable long entryId, @RequestBody Entry entry)
			throws URISyntaxException {
		return entryService.editEntry(eventId, entryId, entry);
	}

}
