package com.evaluate.controllers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.evaluate.services.EventDetailService;

@RequestMapping("/event/{eventId}")
@RestController
public class EventDetailController {

	@Autowired
	public EventDetailService eventDetailService;

	@GetMapping
	ResponseEntity<?> getEvent(@PathVariable long eventId) {
		return eventDetailService.getEvent(eventId);
	}
	
	@PostMapping("/invitecode")
	ResponseEntity<?> generateInviteCode(@PathVariable long eventId) {
		return eventDetailService.generateInviteCode(eventId);
	}
	
	@DeleteMapping("/invitecode/{code}")
	ResponseEntity<?> deleteInviteCode(@PathVariable String code) {
		return eventDetailService.deleteInviteCode(code);
	}

}
