package com.evaluate.controllers;

import java.net.URISyntaxException;

import com.evaluate.models.Entry;
import com.evaluate.models.Event;
import com.evaluate.services.EventRegisterService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/event/{eventId}/eventregister")
@RestController
class EventRegisterController {

	@Autowired
	private EventRegisterService eventRegisterService;

	@GetMapping
	ResponseEntity<Event> getEvent(@PathVariable long eventId) {
		return eventRegisterService.getEvent(eventId);
	}

	@PostMapping
	ResponseEntity<Entry> createEntry(@PathVariable long eventId, @RequestBody Entry entry) throws URISyntaxException {
		return eventRegisterService.createEntry(eventId, entry);
	}

}
