package com.evaluate.controllers;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.evaluate.models.*;
import com.evaluate.services.GradeEntryService;

@RequestMapping("/event/{eventId}/judge/{judgeId}/entry/{entryId}/gradeentry")
@RestController
public class GradeEntryController {

	@Autowired
	GradeEntryService gradeEntryService;
	
	@GetMapping("/getInfo")
	ResponseEntity<?> getInfo(@PathVariable long eventId, @PathVariable long judgeId, @PathVariable long entryId) {
		Map<String, Object> info = this.gradeEntryService.getInfo(eventId, judgeId, entryId);
		if (info != null) {
			return ResponseEntity.ok().body(info);
		}
		else {
			return new ResponseEntity<>(HttpStatus.NOT_FOUND);
		}
	}
	
	@PutMapping("/scoredrubric")
	ResponseEntity<?> saveScoredRubric(@RequestBody ScoredRubric scoredRurbic, @PathVariable long eventId, @PathVariable long judgeId, @PathVariable long entryId) {
		boolean response = gradeEntryService.saveOrUpdateScoredRubric(scoredRurbic, eventId, judgeId, entryId);
		if (response) {
			return new ResponseEntity<>(HttpStatus.OK);
		}
		else {
			return new ResponseEntity<>(HttpStatus.NOT_FOUND);
		} 
	}
}
