package com.evaluate.controllers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.evaluate.models.Account;
import com.evaluate.services.LoginService;

@RequestMapping("/login")
@RestController
public class LoginController {

	@Autowired
	private LoginService loginService;

	@PostMapping
	ResponseEntity<?> verifyAccount(@RequestBody Account account) {
		return loginService.verifyAccount(account);
	}

	@GetMapping("/context")
	public ResponseEntity<?> getContext() {
		return loginService.getContext();
	}

	@GetMapping("/logout")
	public ResponseEntity<?> logout() {
		return loginService.logout();
	}
}
