package com.evaluate.controllers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.evaluate.models.Account;
import com.evaluate.services.ResetService;

@RequestMapping("/reset")
@RestController
public class ResetController {

	@Autowired
	private ResetService resetService;

	@PostMapping("/forgot")
	ResponseEntity<?> forgotPassword(@RequestBody Account account) {
		resetService.forgotPassword(account.getEmail());
		return new ResponseEntity<>(HttpStatus.OK);
	}

	@PostMapping("/code/{code}")
	ResponseEntity<?> resetPassword(@PathVariable String code, @RequestBody Account account) {
		return resetService.resetPassword(code, account);
	}

}
