package com.evaluate.models;

import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;

@Entity
@DiscriminatorValue("J")
public class Judge extends Role {

	private static final long serialVersionUID = 1L;

	public Judge() {
		super();
		groupNumber = 0;
	}

	public void setEvent(Event event) {
		// check if event already referenced
		if (this.event != null && this.event.equals(event)) {
			return;
		}

		Event oldEvent = this.event;// save old event
		this.event = event;
		if (oldEvent != null && oldEvent.getJudges().contains(this)) {
			// remove reference to this:
			oldEvent.removeJudge(this);
		}

		// add new reference to this:
		if (event != null && !event.getJudges().contains(this)) {
			// add reference:
			event.addJudge(this);
		}
	}

	/*
	 * Sets group number. Must be in the range 0 <= groupNumber < 5.
	 */
	public boolean setGroupNumber(int groupNumber) {
		// error check:
		if (groupNumber < 0 || groupNumber >= 5) {// if out of range
			return false;
		}

		// set new group number:
		this.groupNumber = groupNumber;
		return true;
	}

	@Override
	public String toString() {
		return "Judge [" + super.toString();
	}

}
