package com.evaluate.repositories;

import java.util.List;
import java.util.Optional;

import org.springframework.data.jpa.repository.JpaRepository;

import com.evaluate.models.Category;
import com.evaluate.models.Score;
import com.evaluate.models.ScoredRubric;

public interface ScoreRepository extends JpaRepository<Score, Long>{
	
	List<Score> findByTemplate(Category category);
	
	List<Score> findByParentScore(Score parentScore);
	
	List<Score> findByScoredRubric(ScoredRubric scoredRubric);
	
	Optional<Score> findByParentScoreAndTemplate(Score parentScore,  Category category);
	
	Optional<Score> findByScoredRubricAndTemplate(ScoredRubric scoredRubric, Category category);
}
