package com.evaluate.services;

import org.apache.shiro.crypto.hash.Md5Hash;
import org.apache.shiro.util.ByteSource;
import org.springframework.stereotype.Service;

@Service
public class HashService {

	/**
	 * Given a string to encrypt and a salt value, returns an encrypted string.
	 * 
	 * @param salt  to add, usually email
	 * @param value to encrypt, usually password
	 * @return encrypted value
	 */
	public String hash(String salt, String value) {
		return new Md5Hash(value.toCharArray(), ByteSource.Util.bytes(salt), 1024).toHex();
	}

}
