package com.evaluate.services;

import java.util.HashMap;
import java.util.Map;

import org.apache.shiro.SecurityUtils;
import org.apache.shiro.authc.UsernamePasswordToken;
import org.apache.shiro.subject.Subject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

import com.evaluate.models.Account;

@Service
public class LoginService {

	private ResponseEntity<?> notFoundRE = new ResponseEntity<>(HttpStatus.NOT_FOUND);

	public ResponseEntity<?> verifyAccount(Account account) {
		Subject user = SecurityUtils.getSubject();
		UsernamePasswordToken token = new UsernamePasswordToken(account.getEmail(), account.getEncryptedPassword());

		// try logging in:
		try {
			user.login(token);

			// matches a real account:
			return ResponseEntity.ok(null);
		} catch (Exception e) {
			return notFoundRE;
		}
	}

	public ResponseEntity<?> getContext() {
		Account account = (Account) SecurityUtils.getSubject().getPrincipal();
		Map<String, String> body = new HashMap<String, String>();
		body.put("fullName", account.getFullName());
		return ResponseEntity.ok(body);
	}

	public ResponseEntity<?> logout() {
		SecurityUtils.getSubject().logout();
		return new ResponseEntity<>(HttpStatus.OK);
	}

}
