package com.evaluate.services;

import java.util.Properties;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

import org.springframework.stereotype.Service;

@Service
public class MailService {
	
	public static final String domain = "https://e-valuate.net/#/";

	/**
	 * Sends an email to the recipient from evaluate.tcu@gmail.com. The email with
	 * have the given header and body.
	 * 
	 * @param recipient to receive the email
	 * @param header    Subject line of email
	 * @param body      Main content of email
	 * @return boolean true is successfully sent. False otherwise.
	 */
	public boolean sendEmail(String recipient, String header, String body) {
		// Sender:
		String from = "evaluate.tcu@gmail.com";

		// Assuming you are sending email from through gmails smtp
		String host = "smtp.gmail.com";

		// Setup mail server
		Properties properties = System.getProperties();
		properties.put("mail.smtp.host", host);
		properties.put("mail.smtp.port", "465");
		properties.put("mail.smtp.ssl.enable", "true");
		properties.put("mail.smtp.auth", "true");

		// Get the Session object.// and pass username and password
		Session session = Session.getInstance(properties, new javax.mail.Authenticator() {
			protected PasswordAuthentication getPasswordAuthentication() {
				return new PasswordAuthentication(from, "qsqcrlqyisjctpup");
			}
		});

		// Used to debug SMTP issues
		// session.setDebug(true);

		try {
			// Create a default MimeMessage object.
			MimeMessage message = new MimeMessage(session);

			// Set From: header field of the header.
			message.setFrom(new InternetAddress(from));

			// Set To: header field of the header.
			message.addRecipient(Message.RecipientType.TO, new InternetAddress(recipient));

			// Set Subject: header field
			message.setSubject(header);

			// Now set the actual message
			message.setText(body);

			// Send message
			Transport.send(message);
		} catch (MessagingException mex) {
			mex.printStackTrace();
			return false;
		}
		return true;
	}

}
