package com.evaluate.shiro;

import java.util.Optional;

import org.apache.shiro.authc.AuthenticationException;
import org.apache.shiro.authc.AuthenticationInfo;
import org.apache.shiro.authc.AuthenticationToken;
import org.apache.shiro.authc.SimpleAuthenticationInfo;
import org.apache.shiro.authc.UsernamePasswordToken;
import org.apache.shiro.authz.AuthorizationInfo;
import org.apache.shiro.realm.AuthorizingRealm;
import org.apache.shiro.subject.PrincipalCollection;
import org.apache.shiro.util.ByteSource;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

import com.evaluate.models.Account;
import com.evaluate.services.AccountService;

public class UserRealm extends AuthorizingRealm {
    private static final Logger LOGGER = LoggerFactory.getLogger(UserRealm.class);
    @Autowired
    private AccountService accountService;

    //Provide authentication info to Shiro
    @Override
    protected AuthenticationInfo doGetAuthenticationInfo(AuthenticationToken authenticationToken) throws AuthenticationException {
        UsernamePasswordToken token = (UsernamePasswordToken) authenticationToken;
        //This class relies on SysUserService to retrieve username and password from database
        Optional<Account> optAccount = accountService.findByEmail(token.getUsername());
        LOGGER.info("doGetAuthenticationInfo");
        if ( optAccount.isEmpty() ) {
            return null;
        } 
        Account account = optAccount.get();
        return new SimpleAuthenticationInfo(account, account.getEncryptedPassword().toCharArray(), ByteSource.Util.bytes(account.getEmail()), getName());
    }

	@Override
	protected AuthorizationInfo doGetAuthorizationInfo(PrincipalCollection principals) {
		// TODO Auto-generated method stub
		return null;
	}
    
}
