package com.evaluate.models;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class ChairTest {

	Chair chair;
	Event event;
	
	@BeforeEach
	void setUp() throws Exception {
		chair = new Chair();
		event = new Event();
	}

	@Test
	void testSetEvent() {
		//verify null at first
		assertNull(chair.getEvent());
		
		//set event
		chair.setEvent(event);
		assertEquals(event, chair.getEvent());
		assertEquals(chair, event.getChair());
		
		//set SAME event
		chair.setEvent(event);
		assertEquals(event, chair.getEvent());
		assertEquals(chair, event.getChair());
		
		//set different event
		Event event2 = new Event();
		chair.setEvent(event2);
		assertEquals(event2, chair.getEvent());
		assertEquals(chair, event2.getChair());
		assertNull(event.getChair());
		
		//set null
		chair.setEvent(null);
		assertNull(chair.getEvent());
		assertNull(event2.getChair());
	}
	
	@Test
	void testSetGroupNumber() {
		//verify zero at start
		assertEquals(-1, chair.getGroupNumber());

		//set in range
		assertTrue(chair.setGroupNumber(4));
		assertEquals(4, chair.getGroupNumber());
		
		//set out of range
		assertFalse(chair.setGroupNumber(5));
		assertEquals(4, chair.getGroupNumber());
		
		//set out of range
		assertFalse(chair.setGroupNumber(-2));
		assertEquals(4, chair.getGroupNumber());
	}

}
