package com.evaluate.models;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class JudgeTest {
	
	private Judge judge;
	private Event event;

	@BeforeEach
	void setUp() throws Exception {
		judge = new Judge();
		event = new Event();
	}

	@Test
	void testSetEvent() {
		//verify null at first
		assertNull(judge.getEvent());
		
		//set event
		judge.setEvent(event);
		assertEquals(event, judge.getEvent());
		assertTrue(event.getJudges().contains(judge));
		
		//set SAME event
		judge.setEvent(event);
		assertEquals(event, judge.getEvent());
		assertTrue(event.getJudges().contains(judge));
		assertEquals(1, event.getJudges().size());
		
		//set different event
		Event event2 = new Event();
		judge.setEvent(event2);
		assertEquals(event2, judge.getEvent());
		assertTrue(event2.getJudges().contains(judge));
		assertFalse(event.getJudges().contains(judge));
		
		//set null
		judge.setEvent(null);
		assertNull(judge.getEvent());
		assertFalse(event2.getJudges().contains(judge));
	}
	
	@Test
	void testSetGroupNumber() {
		//verify zero at start
		assertEquals(0, judge.getGroupNumber());

		//set in range
		assertTrue(judge.setGroupNumber(4));
		assertEquals(4, judge.getGroupNumber());
		
		//set out of range
		assertFalse(judge.setGroupNumber(5));
		assertEquals(4, judge.getGroupNumber());
		
		//set out of range
		assertFalse(judge.setGroupNumber(-1));
		assertEquals(4, judge.getGroupNumber());
	}

}
